/**
  ******************************************************************************
  * @file    Project/main.c 
  * @author  MCD Application Team
  * @version V2.1.0
  * @date    18-November-2011
  * @brief   Main program body
  ******************************************************************************
  * @attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2011 STMicroelectronics</center></h2>
  ******************************************************************************
  */ 
 

/* Includes ------------------------------------------------------------------*/
#include "var_hadi_glo.h"    
#include "stm8s.h"
#include "URT2_HADI.h"

/* Private defines -----------------------------------------------------------*/

int hadi=0;


uint16_t Conversion_Value = 0;
/* Private function prototypes -----------------------------------------------*/
void Delay (uint32_t nCount);
/* Private functions ---------------------------------------------------------*/

void main(void)
{
  
  //***************
CLK_HSIPrescalerConfig(CLK_PRESCALER_HSIDIV1);
uart2_hadi_confing();

         
 TIM1_TimeBaseInit(400, TIM1_COUNTERMODE_UP , 32000, 0); 

 TIM1_ITConfig (TIM1_IT_UPDATE,ENABLE );
 enableInterrupts();
 TIM1_Cmd(ENABLE); 

  while (1)
  { 
    
       

 printf("number=%u  Counter=%Lu\n\r",hadi,TIM1_GetCounter  ( )  );

   Delay(20000); 
    
 
    
    
    
    
    
    
      
  }
  
}
  

//************************************************************
void Delay (uint32_t nCount){
  
   /* Decrement nCount value */
  while (nCount != 0)
  {
   nCount--;
  } 
    
}




























#ifdef USE_FULL_ASSERT

/**
  * @brief  Reports the name of the source file and the source line number
  *   where the assert_param error has occurred.
  * @param file: pointer to the source file name
  * @param line: assert_param error line source number
  * @retval : None
  */
void assert_failed(u8* file, u32 line)
{ 
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  /* Infinite loop */
  while (1)
  {
  }
}
#endif

/******************* (C) COPYRIGHT 2011 STMicroelectronics *****END OF FILE****/
